Bug 2021572 - (release-4.8) obfuscate identity provider attributes in collected authentication.operator.openshift.io resource
Summary: (release-4.8) obfuscate identity provider attributes in collected authenticat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.z
Assignee: Tomas Remes
QA Contact: Joao Fula
URL:
Whiteboard:
Depends On: 2017773
Blocks: 2024614
TreeView+ depends on / blocked
 
Reported: 2021-11-09 16:20 UTC by OpenShift BugZilla Robot
Modified: 2021-11-30 10:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2024614 (view as bug list)
Environment:
Last Closed: 2021-11-30 10:25:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 541 0 None Waiting on Customer Core online Issue 2022-05-12 01:05:47 UTC
Red Hat Product Errata RHBA-2021:4830 0 None None None 2021-11-30 10:26:09 UTC

Description OpenShift BugZilla Robot 2021-11-09 16:20:27 UTC
+++ This bug was initially created as a clone of Bug #2017773 +++

+++ This bug was initially created as a clone of Bug #2017752 +++

The gathered resource (in config/clusteroperator/operator.openshift.io/authentication/cluster.json) can include some potentially sensitive data about identity providers. Examples are LDAP domain names, client IDs, issuers domain and similar.

This BZ is to obfuscate (replace with "X" characters) these attributes by default.

Comment 3 Joao Fula 2021-11-22 08:41:25 UTC
Verified on 4.8.0-0.nightly-2021-11-20-124525.

Verification steps:
1. Enable Github identity provider https://docs.openshift.com/container-platform/4.9/authentication/identity_providers/configuring-github-identity-provider.html
2. Restart the Insights Operator
3. Wait until an insights archive will be created
4. Download the archive
5. Check the content of config/clusteroperator/operator.openshift.io/authentication/cluster.json

"clientID" field is obfuscated.

Comment 6 errata-xmlrpc 2021-11-30 10:25:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.22 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4830


Note You need to log in before you can comment on or make changes to this bug.